
void _efl_canvas_event_grabber_freeze_when_visible_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Eina_Bool set);


static Eina_Error
__eolian_efl_canvas_event_grabber_freeze_when_visible_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_canvas_event_grabber_freeze_when_visible_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_event_grabber_freeze_when_visible_set, EFL_FUNC_CALL(set), Eina_Bool set);

Eina_Bool _efl_canvas_event_grabber_freeze_when_visible_get(const Eo *obj, Efl_Object_Event_Grabber_Data *pd);


static Eina_Value
__eolian_efl_canvas_event_grabber_freeze_when_visible_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_event_grabber_freeze_when_visible_get(obj);
   return eina_value_bool_init(val);
}

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(efl_canvas_event_grabber_freeze_when_visible_get, Eina_Bool, 0);

Efl_Object *_efl_canvas_event_grabber_efl_object_constructor(Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_object_destructor(Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_canvas_group_group_member_add(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Efl_Canvas_Object *sub_obj);


void _efl_canvas_event_grabber_efl_canvas_group_group_member_remove(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Efl_Canvas_Object *sub_obj);


Eina_Bool _efl_canvas_event_grabber_efl_canvas_group_group_member_is(const Eo *obj, Efl_Object_Event_Grabber_Data *pd, const Efl_Canvas_Object *sub_obj);


Eina_Iterator *_efl_canvas_event_grabber_efl_canvas_group_group_members_iterate(const Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_canvas_group_group_calculate(Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_canvas_group_group_change(Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_canvas_group_group_need_recalculate_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Eina_Bool value);


Eina_Bool _efl_canvas_event_grabber_efl_canvas_group_group_need_recalculate_get(const Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_gfx_entity_position_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Eina_Position2D pos);


void _efl_canvas_event_grabber_efl_gfx_entity_size_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Eina_Size2D size);


void _efl_canvas_event_grabber_efl_gfx_entity_visible_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, Eina_Bool v);


Eina_Bool _efl_canvas_event_grabber_efl_gfx_entity_visible_get(const Eo *obj, Efl_Object_Event_Grabber_Data *pd);


void _efl_canvas_event_grabber_efl_gfx_stack_layer_set(Eo *obj, Efl_Object_Event_Grabber_Data *pd, short l);


static Eina_Bool
_efl_canvas_event_grabber_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_EVENT_GRABBER_EXTRA_OPS
#define EFL_CANVAS_EVENT_GRABBER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_event_grabber_freeze_when_visible_set, _efl_canvas_event_grabber_freeze_when_visible_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_event_grabber_freeze_when_visible_get, _efl_canvas_event_grabber_freeze_when_visible_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_event_grabber_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_event_grabber_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_add, _efl_canvas_event_grabber_efl_canvas_group_group_member_add),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_remove, _efl_canvas_event_grabber_efl_canvas_group_group_member_remove),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_member_is, _efl_canvas_event_grabber_efl_canvas_group_group_member_is),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_members_iterate, _efl_canvas_event_grabber_efl_canvas_group_group_members_iterate),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_calculate, _efl_canvas_event_grabber_efl_canvas_group_group_calculate),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_change, _efl_canvas_event_grabber_efl_canvas_group_group_change),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_need_recalculate_set, _efl_canvas_event_grabber_efl_canvas_group_group_need_recalculate_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_group_need_recalculate_get, _efl_canvas_event_grabber_efl_canvas_group_group_need_recalculate_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_canvas_event_grabber_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_canvas_event_grabber_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_canvas_event_grabber_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_get, _efl_canvas_event_grabber_efl_gfx_entity_visible_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_stack_layer_set, _efl_canvas_event_grabber_efl_gfx_stack_layer_set),
      EFL_CANVAS_EVENT_GRABBER_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"freeze_when_visible", __eolian_efl_canvas_event_grabber_freeze_when_visible_set_reflect, __eolian_efl_canvas_event_grabber_freeze_when_visible_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_event_grabber_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Event_Grabber",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Object_Event_Grabber_Data),
   _efl_canvas_event_grabber_class_initializer,
   _efl_canvas_event_grabber_class_constructor,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_event_grabber_class_get, &_efl_canvas_event_grabber_class_desc, EFL_CANVAS_GROUP_CLASS, NULL);
